/* index-search.c:
** ****************************************************************************
** Die Funktion info_start_with_index_search implementiert die CMDOPT
** --index-search.
** ****************************************************************************
** Klaus Gebhardt, May 1994
** ****************************************************************************
** Changelog:
**  -  Wird kein Index gefunden, dann wird Info mit einer Fehlermeldung
**     beendet. Dabei wird der Screen NICHT gelscht.
**     Klaus Gebhardt, Jul 1994
** ****************************************************************************
*/

#include "info.h"

void initialize_info_session_without_clear_screen ();

int info_start_with_index_search(index_search_string)
char *index_search_string;
{
   NODE *initial_node;

   initialize_info_session_without_clear_screen (initial_node);
   
   if (index_entry_exists (windows, index_search_string))
   {
      terminal_clear_screen ();
      terminal_prep_terminal ();
      display_update_display (windows);
      info_last_executed_command = (VFunction *)NULL;
      
      do_info_index_search (windows, 0, index_search_string);
      
      info_read_and_dispatch ();
      
      terminal_unprep_terminal ();
      return 0;
   }
   else
   {
      display_inhibited = 1;
      info_error ("No indices found.");
      return 13;
   }
}
